[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.AsBCD

Access the field's contents as a BCD (Binary coded Decimal)

## Declaration

Source position: db.pas line 403

`public property TField.AsBCD : TBCD read GetAsBCD write SetAsBCD;`

## Description

AsBCD can be used to read or write the contents of the field as a BCD value (Binary Coded Decimal). If the native type of the field is not BCD, then an attempt will be made to convert the field value from the native format to a BCD value when reading the field's content. Likewise, when writing the property, the value will be converted to the native type of the field (if the value allows it). Therefor, when reading or writing a field value for a field whose native data type is not a BCD value, an exception may be raised.

## See also

TField.AsCurrency |  | Access the field's contents as a Currency value.
TField.Value |  | Value of the field as a variant value